Filter all lot recordsCopy Pagepost https://api.bridgeft.com/v2/data/source/lots/filterReturns a filtered list of lot recordsRecent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Query Paramspager.limitintegerNumber of items to return per pagepager.pageintegerCurrent page numberrelatedstringSelect data related to identifiers in the response data. When a related query parameter is selected, a new json field will be populated in the response with a map of the relevant related data. ** Example ** GET https://api.bridgeft.com/v2/{selectedResource}?related=accounts Response: { "object": "object" "has_next": true, "has_previous": false, "current_page": 1, "total_pages": 10, "page_size_limit": 100, "has_next": true, "data": [ { id: 1, account_id": "SOMEACCOUNTID1", ... }, { id: 1, account_id": "SOMEACCOUNTID2", ... } ] "accounts": { "SOMEACCOUNTID1": { id: "SOMEACCOUNTID1", ... }, "SOMEACCOUNTID2": { id: "SOMEACCOUNTID2", ... } } } Populating the related query parameter will pull additional information in the request for supported related data without reaching out to an additional endpoint. See dropdown for the supported related fields for the resource.Body ParamsidintegerThe unique resource id for the lotaccount_idintegerThe id of the Account associated with this lotaccount_idsarray of integersProvide a list of Account IDs to filter.account_idsADD integersecurity_idintegerThe id of the Security associated with this lotsource_security_symbolstringThe symbol of the corresponding security as reported by the source if applicablesource_security_cusipstringThe cusip of the corresponding security as reported by the source if applicablesourcestringenumCustodian or source the lot data comes from. APX=Apex Fintech Solutions, AXO=Axos Advisory Services, DST=DST Systems, FPR=Fidelity 401k/403b, IBK=Interactive Brokers, NFS=Fidelity Investments, PER=Pershing, PTA=Pontera, SWB=Charles Schwab, TDA=TD Ameritrade (Available prior to Sept. 2, 2023), EGB=Eaglebrook, MLT=Millenium Trust, TIA=TIAA Financial ServicesAPXAXODSTFPRIBKNFSPERPTASWBTDA (Available prior to Sept. 2, 2023)EGBMLTTIAShow 13 enum valuesaccount_numberstringThe account number of the Account associated with this lotadvisor_codestringThe advisor code of the Account associated with this lotreported_datedate-timerequiredThe date the custodian reports the lotlot_identifierstringThe custodian reported lot identifier if applicableabs_current_quantityfloatThe quantity of shares for the reported lotabs_current_market_valuefloatThe market value of the shares for the reported lotabs_cost_basisfloatThe total cost of the shares for the reported lotabs_adjusted_cost_basisfloatThe total adjusted cost of the shares for the reported lotunrealized_gain_lossfloatThe current unrealized gains for the lot if reportedacquisition_datedate-timeThe date that the corresponding lot was initially opened (even outside of the current account)abs_acquisition_quantityfloatThe original quantity of shares which opened the corresponding lotdirectionstringenumFlag to indicate if lot is Long or Short. Potential values, L = Long, S = ShortLSAllowed:LSfully_knownbooleanTrue if the cost basis for this lot is fully knowntruefalsewash_salebooleanTrue if the lot is affected by a wash saletruefalsedisallowed_loss_amountbooleanTrue if the lot amount is disallowedtruefalsecertifiedbooleanTrue if the cost basis is certifiedtruefalselot_selection_methodstringThe lot selection method of the lot if reported by the sourcecreated_at_utcdate-timeTimestamp for when the record was createdResponses 200An enveloped list of lots 400Bad RequestUpdated 4 days ago